var chart = AmCharts.makeChart("chartdiv4", {  
"type": "serial", 
"theme": "light",
  "legend": {
    "position": "top",
    "divId": "legenddiv",
	"color": "#4D784E",   
	"valueWidth": 100,  
    "valueAlign": "left",
	"align": "center",
    "equalWidths": false
  },   
"dataLoader": {  
"url": "https://services.swpc.noaa.gov/json/predicted_f107cm_flux.json",  
"format": "json",  
"showErrors": true,  
"noStyles": true,  
"reload": 30,
"showcurtain": true,
"async": true 
}, 
"rotate": false,  
"marginTop": 20,  
"categoryAxis": {  
"gridAlpha": 0.04,  
"axisColor": "#DADADA",  
"color": "#4D784E",  
"titleColor": "#4D784E",  
"startOnAxis": false,  
"labelRotation": 70,   
"title": "Date",
"fontSize": 9,  
"guides": [{  
}, {  
}]  
},  
  "valueAxes": [{
    "stackType": "regular",
	"title": "SFI index",
	"color": "#4D784E",  
    "titleColor": "#4D784E",   
    "gridAlpha": 0.04,  
    "fontSize": 9
  }],
  "graphs": [{
    "title": "SFI early day",
    "valueField": "tencmfcst_1_day",
    "balloonText": "[[title]]: <b>[[value]]</b>",
	"lineAlpha": 1, 
    "lineThickness": 1.7,
    "fillAlphas": 0.4  	
  }, {
    "title": "SFI mid day",
    "valueField": "tencmfcst_2_day",
	"balloonText": "[[title]]: <b>[[value]]</b>",
	"lineAlpha": 1, 
    "lineThickness": 1.7,
    "fillAlphas": 0.4  	
  }, {
    "title": "SFI late day",
    "valueField": "tencmfcst_3_day",
	"balloonText": "[[title]]: <b>[[value]]</b>",
	"lineAlpha": 1, 
    "lineThickness": 1.7,
    "fillAlphas": 0.4  	
  }],
  "categoryField": "date",
  
"chartCursor": {  
"cursorAlpha": 0.7,
"leaveCursor": true,
"cursorColor": "#6ea171"
},  
"chartScrollbar": {  
"graph": "g3",
"graphType": "smoothedLine",
"selectedGraphFillAlpha": 0.7,
"selectedGraphFillColor": "#7ab19e",
"selectedGraphLineColor": "#000000",
"selectedGraphLineAlpha": 0.7,
"dragIcon": "dragIconRectSmallBlack",
"scrollbarHeight": 24,
"scrollDuration": 1,
"dragIconHeight": 32,
"dragIconWidth": 32,
"backgroundColor": "#6ea171",
"backgroundAlpha": 1 
}  
});

function toggleLegend(on) {
  var chart = document.getElementById("chartdiv4");
  var legend = document.getElementById("legenddiv");
  if (on) {
    chart.style.height = "80%";
    legend.parent.style.display = "block";
  } else {
    chart.style.height = "100%";
    legend.parent.style.display = "none";
  }
}
